public static interface JsonPatchEndpointBuilderFactory.JsonPatchBuilders
| Modifier and Type | Method and Description |
|---|---|
default JsonPatchEndpointBuilderFactory.JsonPatchEndpointBuilder |
jsonPatch(String path)
JsonPatch (camel-json-patch)
JsonPatch component which transform JSON using JSON patch (RFC 6902).
|
default JsonPatchEndpointBuilderFactory.JsonPatchEndpointBuilder |
jsonPatch(String componentName,
String path)
JsonPatch (camel-json-patch)
JsonPatch component which transform JSON using JSON patch (RFC 6902).
|
default JsonPatchEndpointBuilderFactory.JsonPatchEndpointBuilder jsonPatch(String path)
json-patch:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http,
ref, or bean. classpath, file and http loads the resource using these
protocols (classpath is default). ref will lookup the resource in the
registry. bean will call a method on a bean to be used as the
resource. For bean you can specify the method name after dot, eg
bean:myBean.myMethod.path - resourceUridefault JsonPatchEndpointBuilderFactory.JsonPatchEndpointBuilder jsonPatch(String componentName, String path)
json-patch:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http,
ref, or bean. classpath, file and http loads the resource using these
protocols (classpath is default). ref will lookup the resource in the
registry. bean will call a method on a bean to be used as the
resource. For bean you can specify the method name after dot, eg
bean:myBean.myMethod.componentName - to use a custom component name for the endpoint
instead of the default namepath - resourceUriApache Camel